OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Checking For Gtk2... For X... No
ShiroiKuma
post May 19 2006, 12:02 PM
Post #1





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



Before I get bitbake to run, hopefully soon, I'm trying to compile SCIM natively under GPE.

During ./configure I get
CODE
checking for GTK2... checking for GTHREAD2... checking for X... no
this is surprising...

SCIM should be compiled with X11 frontend and GTK immodule too, so... Which packages do I need to install so that the answer above would be yes?
Go to the top of the page
 
+Quote Post
enodr
post May 19 2006, 01:42 PM
Post #2





Group: Members
Posts: 133
Joined: 5-April 06
Member No.: 9,537



QUOTE(ShiroiKuma @ May 19 2006, 12:02 PM)
Before I get bitbake to run, hopefully soon, I'm trying to compile SCIM natively under GPE.

During ./configure I get
CODE
checking for GTK2... checking for GTHREAD2... checking for X... no
this is surprising...

SCIM should be compiled with X11 frontend and GTK immodule too, so... Which packages do I need to install so that the answer above would be yes?
*


Are you sure you have the -dev package installed for GTK2, ... ? I am even not sure they are available as packages in the feeds.
Go to the top of the page
 
+Quote Post
ShiroiKuma
post May 19 2006, 03:07 PM
Post #3





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



QUOTE(enodr @ May 19 2006, 10:42 PM)
Are you sure you have the -dev package installed for GTK2, ... ? I am even not sure they are available as packages in the feeds.
*

Yep, I checked for it, and couldn't find it...

Do you have it compiled?
Go to the top of the page
 
+Quote Post
enodr
post May 20 2006, 04:06 AM
Post #4





Group: Members
Posts: 133
Joined: 5-April 06
Member No.: 9,537



QUOTE(ShiroiKuma @ May 19 2006, 03:07 PM)
QUOTE(enodr @ May 19 2006, 10:42 PM)
Are you sure you have the -dev package installed for GTK2, ... ? I am even not sure they are available as packages in the feeds.
*

Yep, I checked for it, and couldn't find it...

Do you have it compiled?
*



I am using bitbake, so dunno. I think you are missing the headers for GTK2 and other libs, ... that may be the reason why you can't compile. You should ask on openzaurus-devel mailing list , someone can surely help you there.
Go to the top of the page
 
+Quote Post
ShiroiKuma
post May 20 2006, 04:59 AM
Post #5





Group: Members
Posts: 902
Joined: 22-May 04
Member No.: 3,385



QUOTE(enodr @ May 20 2006, 01:06 PM)
I am using bitbake, so dunno. I think you are missing the headers for GTK2 and other libs, ... that may be the reason why you can't compile. You should ask on openzaurus-devel mailing list , someone can surely help you there.
*

OK, yeah I'm tryin' to use bitbake too, but still haven't gotten it to work properly.

If you don't mind can you check in your oe directory under build/tmp/deploy/ipk/ if you have the gtk2-dev etc. ipks there?

If you do, could you send them to me?
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 26th July 2014 - 05:14 AM